<?php
// $Horde: nag/lib/api.php,v 1.4 2001/06/11 20:44:10 chuck Exp $
/*
 * Nag external API interface.
 *
 * This file defines Nag's external API interface.  Other applications can
 * interact with Nag through this API.
 */

/*
 * XXX: Ideally, we'd include base.php to satisfy our dependencies, but that
 * seems to cause a lot of problems with redefinitions and conflicts.  We'll
 * have to sort all of that out later on.
 */

// Find the base file paths for Horde and Nag
@define('NAG_BASE', dirname(__FILE__) . '/..');

// Include the necessary libraries.
require_once NAG_BASE . '/lib/base.php';

function nagListTasks($sortby = null, $sortdir = null)
{
    global $conf, $prefs;

    if (!isset($sortby)) $sortby = $prefs->getValue('sortby');
    if (!isset($sortdir)) $sortdir = $prefs->getValue('sortdir');
    
    /* Create a Nag storage instance. */
    require_once NAG_BASE . '/lib/Storage.php';
    $storage = &Nag_Storage::singleton($conf['storage']['driver'],
        Auth::getAuth(), $conf['storage']['params']);
    $storage->retrieve();

    return Nag::listTasks($storage, TASK_ANY, $sortby, $sortdir);
}

function nagAddTask($name = '', $description = '', $due = 0)
{
    global $conf;

    /* Create a Nag storage instance. */
    require_once NAG_BASE . '/lib/Storage.php';
    $storage = &Nag_Storage::singleton($conf['storage']['driver'],
        Auth::getAuth(), $conf['storage']['params']);
    $storage->retrieve();

    /* Add the new task. */
    $result = $storage->addTask($name, $description, $due);
    if ($result >= 0) {
        $result = $storage->store();
    }

    return $result;
}

function nagSummary()
{
    $tasks = nagListTasks();
    $html = '<table border="0" cellpadding="1" cellspacing="0"><tr><td class="header">' . _("Tasks") . '</td></tr><tr><td class="control"><table border="0" cellpadding="0" cellspacing="1">';
    foreach ($tasks as $id => $task) {
        $html .= '<tr><td class="text">';
        $row = Horde::link(Horde::applicationUrl('view.php?task=' . $id), $task['name']) . $task['name'] . '</a>';
        if (!empty($task['due']) && $task['due'] < mktime()) {
            $html .= '<b>';
        }
        if (!empty($task['due'])) {
            $row .= ' (' . strftime('%c', $task['due']) . ')';
        }
        if (!empty($task['due']) && $task['due'] < mktime()) {
            $html .= '<font color="red">' . $row . '</font></b>';
        } else {
            $html .= $row;
        }
        $html .= '</td></tr>';
    }
    $html .= '</table></td></tr></table>';
    
    return $html;
}

?>
