<?php
// $Horde: nag/lib/base.php,v 1.20 2001/06/12 22:04:55 jon Exp $
/*
 * Nag base inclusion file.
 *
 * This file brings in all of the dependencies that every Nag
 * script will need and sets up objects that all scripts use.
 */

// Find the base file path of Horde
@define('HORDE_BASE', dirname(__FILE__) . '/../..');

// Find the base file path of Nag
@define('NAG_BASE', dirname(__FILE__) . '/..');

// Registry
require_once HORDE_BASE . '/lib/Registry.php';
$registry = &Registry::singleton();
$registry->pushApp('nag');
$conf = &$GLOBALS['conf'];

// Set the error reporting level in accordance with the config settings.
error_reporting($conf['debug_level']);

// Set the maximum execution time in accordance with the config settings.
set_time_limit($conf['max_exec_time']);

// Horde base libraries
require_once HORDE_BASE . '/lib/Horde.php';
require_once HORDE_BASE . '/lib/Auth.php';
require_once HORDE_BASE . '/lib/Lang.php';
require_once HORDE_BASE . '/lib/Text.php';
require_once HORDE_BASE . '/lib/Help.php';

// Nag base library
require_once NAG_BASE . '/lib/Nag.php';

// Browser detection library
require_once HORDE_BASE . '/lib/Browser.php';
$browser = new Browser();

// Initialize the localization routines.
require HORDE_BASE . '/config/lang.php';
$language = Lang::select();
putenv("LANG=$language");
@setlocale(LC_ALL, $language);

// Initialize the logging routines.
if ($conf['log']['enabled']) {
    include_once 'Log.php';
    $log = &Log::singleton($conf['log']['type'], $conf['log']['name'],
                           $conf['log']['ident'], $conf['log']['conf']);
}

// Engage the session routines.
session_name($conf['session_name']);
@session_start();

// Redirect the user to the Horde login page if they haven't authenticated.
if (!Auth::getAuth()) {
    header('Location: ' . Horde::url($conf['horde']['paths']['root'] . '/login.php?url=' . urlencode(Horde::selfUrl()), true));
    exit;
}

// Retrieve the user's preferences.
require_once HORDE_BASE . '/lib/Prefs.php';
$GLOBALS['prefs'] = Prefs::factory($conf['prefs']['driver'], $registry->getApp(),
                                   Auth::getAuth(), '', $conf['prefs']['params']);
$GLOBALS['prefs']->setDefaults(NAG_BASE . '/config/prefs.php');
$GLOBALS['prefs']->retrieve();

?>
