<?php
/*
 * $Horde: nag/view.php,v 1.9 2001/06/07 05:06:43 jon Exp $
 *
 * Copyright 2001 Jon Parise <jon@horde.org>
 *
 * See the enclosed file COPYING for license information (GPL).  If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 */

require_once './lib/base.php';

/* If we aren't provided with a task, redirect to the task list. */
$task_id = Horde::getFormData('task');
if (!isset($task_id)) {
    header('Location: ' . Horde::applicationUrl('list.php', true));
    exit;
}

/* Create a Nag storage instance. */
require_once NAG_BASE . '/lib/Storage.php';
$storage = Nag_Storage::factory($conf['storage']['driver'], Auth::getAuth(),
    $conf['storage']['params']);
$storage->retrieve();

/* Get the current task list. */
$tasks = Nag::listTasks($storage);

/* Set the page title to the current task's name, if it exists. */
$title = (!empty($tasks[$task_id])) ? $tasks[$task_id]['name'] : _("Task Details");

require $conf['paths']['templates'] . '/common-header.inc';
require NAG_BASE . '/menu.php';
require NAG_BASE . '/status.php';

/* If the requested task doesn't exist, display an error message. */
if (!isset($tasks[$task_id])) {
    include $conf['paths']['templates'] . '/view/no-task.inc';
} else {
    include $conf['paths']['templates'] . '/view/headers.inc';
    include $conf['paths']['templates'] . '/view/description.inc';
    include $conf['paths']['templates'] . '/view/navbar.inc';
}

require $conf['paths']['templates'] . '/common-footer.inc';

?>
